List network WireGuard configs
curl --request GET \
--url https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"peers": [
{
"peer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"public_key": "<string>",
"assigned_ip": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
},
"network": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cidr": "<string>",
"gateway_ip": "<string>",
"status": "<string>",
"gateway": {
"public_endpoint": "<string>",
"public_key": "<string>",
"udp_port": 123,
"status": "<string>"
}
},
"config": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "network_not_found",
"message": "Ornn could not find that network. It may have been deleted. Refresh and choose another."
}
}{
"code": "<string>",
"detail": "<string>"
}List network WireGuard configs
Lists the WireGuard configs the API key’s creator registered on a network you created.
GET
/
v1
/
orchestrator
/
networks
/
{network_id}
/
peers
List network WireGuard configs
curl --request GET \
--url https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"peers": [
{
"peer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"public_key": "<string>",
"assigned_ip": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
},
"network": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cidr": "<string>",
"gateway_ip": "<string>",
"status": "<string>",
"gateway": {
"public_endpoint": "<string>",
"public_key": "<string>",
"udp_port": 123,
"status": "<string>"
}
},
"config": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "network_not_found",
"message": "Ornn could not find that network. It may have been deleted. Refresh and choose another."
}
}{
"code": "<string>",
"detail": "<string>"
}Authorizations
Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.
Path Parameters
Private network ID.
Response
Your WireGuard configs on the network.
Show child attributes
Show child attributes
Was this page helpful?